org.eclipse.viatra.query.runtime.rete.traceability

## Class CompiledQuery

- java.lang.Object
- - org.eclipse.viatra.query.runtime.rete.traceability.RecipeTraceInfo
  - - org.eclipse.viatra.query.runtime.rete.traceability.CompiledQuery

- All Implemented Interfaces:
    PatternTraceInfo, TraceInfo

      public class CompiledQuery
      extends RecipeTraceInfo
      implements PatternTraceInfo

  Indicates that recipe expresses the finished match set of a query.
  No Instantiate:
    This class is not intended to be instantiated by clients.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompiledQuery(ReteNodeRecipe recipe, java.util.Map<PBody,? extends RecipeTraceInfo> parentRecipeTraces, PQuery query)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<PBody,? extends RecipeTraceInfo>` | `getParentRecipeTracesPerBody()`
    `java.lang.String` | `getPatternName()`
    `PQuery` | `getQuery()`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.traceability.RecipeTraceInfo

      `assignNode, getNode, getParentRecipeTraces, getParentRecipeTracesForCloning, getRecipe, getShadowedRecipe, propagateFromIndexerToSupplierParent, propagateFromStandardNodeToSupplierParent, propagateToIndexerParent, propagateToProductionNodeParentAlso, shadowWithEquivalentRecipe`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.traceability.TraceInfo

      `assignNode, getNode, propagateFromIndexerToSupplierParent, propagateFromStandardNodeToSupplierParent, propagateToIndexerParent, propagateToProductionNodeParentAlso`

- - ### Constructor Detail

    - #### CompiledQuery

          public CompiledQuery(ReteNodeRecipe recipe,
                               java.util.Map<PBody,? extends RecipeTraceInfo> parentRecipeTraces,
                               PQuery query)

      Since:
        1.6

  - ### Method Detail

    - #### getQuery

          public PQuery getQuery()

    - #### getPatternName

          public java.lang.String getPatternName()

      Specified by:
        `getPatternName` in interface `PatternTraceInfo`

    - #### getParentRecipeTracesPerBody

          public java.util.Map<PBody,? extends RecipeTraceInfo> getParentRecipeTracesPerBody()

      Since:
        1.6